textures/shad3hipoly/shad_clangdarker
{
	surfaceparm metalsteps		

	// metal that makes metalsteps sound
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/shad3hipoly/shad_clangdarker.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}


}

textures/shad3hipoly/ctf_redflag
{
	qer_editorimage textures/ctf/ctf_redflag.tga
        tessSize 64
	q3map_bounce 0.1
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .3 .2
        surfaceparm nomarks
        cull none
        {
		map textures/ctf/ctf_redflag.tga
		rgbGen identity
	}
        {
		map textures/effects/blueflagmap.tga
                tcGen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
		blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/ctf/ctf_redflag.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {

        	map textures/sfx/shadow.tga
                tcGen environment
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/shad3hipoly/shad_bluewtr
{
	qer_editorimage textures/shad3hipoly/shad_waterblue.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin 0 0.9 0.5 0.25 
	qer_trans 0.25
	q3map_lightsubdivide 128
	q3map_surfacelight 75
	q3map_globaltexture
	{
		map textures/shad3hipoly/shad_waterblend.tga
		blendfunc add
		tcMod scale 0.35 0.35
		tcMod scroll 0.025 0.015
		tcMod turb 0 0.2 0 0.05
	}
	{
		map textures/shad3hipoly/shad_waterblue.tga
		blendfunc gl_dst_color gl_one
		tcMod turb 0 0.25 0 0.1
		tcMod scale 0.5 0.5
		tcMod scroll -0.025 0.02
	}
}

textures/shad3hipoly/shad_darkgreyfog2000
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	fogparms ( 0.45 0.45 0.45 ) 2000
}

textures/shad3hipoly/shad_grate
{
	qer_editorimage textures/base_floor/proto_grate4.tga
	surfaceparm metalsteps
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/base_floor/proto_grate4.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/shad3hipoly/shad_lghtred_5k
{
	qer_editorimage textures/base_light/ceil1_22a.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		blendfunc add
	}
}

textures/shad3hipoly/shad_lightgreyfog1200
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	fogparms ( 0.65 0.65 0.65 ) 1200
}

textures/shad3hipoly/shad_padwall_blue
{
	qer_editorimage textures/sfx/xian_dm3padwall.tga
	q3map_lightimage textures/sfx/xian_dm3padwallglow.tga
	q3map_surfacelight 100
	{
		map textures/sfx/xian_dm3padwall.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/sfx/xian_dm3padwallglow.tga
		blendfunc add
		rgbGen wave sin 0 1 0 0.5 
		tcMod scale 1 0.05
		tcMod scroll 0 1
	}
}

textures/shad3hipoly/shad_padwall_red
{
	qer_editorimage textures/sfx/xian_dm3padwall.tga
	q3map_lightimage textures/shad3hipoly/shad_padwall_redglow.tga
	q3map_surfacelight 100
	{
		map textures/sfx/xian_dm3padwall.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/shad3hipoly/shad_padwall_redglow.tga
		blendfunc add
		rgbGen wave sin 0 1 0 0.5 
		tcMod scale 1 0.05
		tcMod scroll 0 1
	}
}

textures/shad3hipoly/shadblue_clouds
{
	qer_editorimage textures/shad3hipoly/shad_blueclouds.tga
	q3map_lightimage textures/skies/dimclouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_lightsubdivide 256
	q3map_surfacelight 300
	q3map_sun 0.75 0.78 0.82 85 135 80
	skyParms - 1024 -
	{
		map textures/skies/dimclouds.tga
		tcMod scale 1.25 1.25
		tcMod scroll 0.015 0.08
	}
	{
		map textures/shad3hipoly/shad_blueclouds.tga
		blendfunc add
		tcMod scale 1.5 1.5
		tcMod scroll 0.09 0.08
	}
}

// STEAM SHADERS
//The following steam shaders are from H2SO4 by Ben "Krash" Ackland
//steam which moves straight up and spreads slightly
textures/shad3hipoly/steam_180
{
	qer_editorimage textures/shad3hipoly/steampuff.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 0 5 64 sawtooth 0 1 0.8 0.8 
	{
		clampmap textures/shad3hipoly/steampuff.tga
		blendfunc blend
		tcMod rotate 180
		tcMod stretch sawtooth 0.1 1 0.8 0.8 
		alphaGen wave inversesawtooth 0 1 0.8 0.8 
	}
}

textures/shad3hipoly/steam_240
{
	qer_editorimage textures/shad3hipoly/steampuff.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 0 0 64 sawtooth 0 1 0 0.8 
	{
		clampmap textures/shad3hipoly/steampuff.tga
		blendfunc blend
		tcMod rotate 240
		tcMod stretch sawtooth 0.1 1 0 0.8 
		alphaGen wave inversesawtooth 0 1 0 0.8 
	}
}

textures/shad3hipoly/steam_300
{
	qer_editorimage textures/shad3hipoly/steampuff.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 5 0 64 sawtooth 0 1 0.3 0.8 
	{
		clampmap textures/shad3hipoly/steampuff.tga
		blendfunc blend
		tcMod rotate 300
		tcMod stretch sawtooth 0.1 1 0.3 0.8 
		alphaGen wave inversesawtooth 0 1 0.3 0.8 
	}
}

